All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.net.sharenet
Class ShareNetResultSet

    com.sas.net.sharenet.ShareNetResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

    public class ShareNetResultSet

implements java.sql.ResultSet

This class implements java.sql.ResultSet.

Field Summary
`protected ShareNetConnection` | `connection`
`protected com.sas.net.sharenet.SqlValue[]` | `currentRow`
`protected int` | `currentRowNumber`
`protected java.lang.String` | `cursorName`
`protected ShareNetDatabaseMetaData` | `dbmd`
`protected com.sas.net.sharenet.SqlField[]` | `fieldArray`
`protected boolean` | `maxReached`
`protected int` | `maxRows`
`protected java.util.Hashtable` | `namesToColumns`
`protected int` | `numColumns`
`protected int` | `rowsFetched`
`protected com.sas.net.sharenet.ShareNetWarning` | `shareWarning`
`protected ShareNetStatement` | `stmt`
`protected short` | `sv`
`protected java.sql.SQLWarning` | `warnings`
`protected boolean` | `wasnull`

Method Summary
`boolean` | `absolute(int row)` JDBC 2.0 Moves to an absolute row number in the result set.
`void` | `addWarning(java.sql.SQLWarning warning)` Adds a warning to the result set.
`void` | `afterLast()` JDBC 2.0 Moves to the end of the result set, just after the last row.
`void` | `beforeFirst()` JDBC 2.0 Moves to the front of the result set, just before the first row.
`void` | `cancelRowUpdates()` JDBC 2.0 Cancels row updates.
`void` | `clearWarnings()` Clears all warnings.
`void` | `close()` Closes the ResultSet.
`void` | `deleteRow()` JDBC 2.0 Deletes the current row from the result set and the underlying database.
`protected com.sas.net.sharenet.SqlValue[]` | `fetch()` Fetch the next row of the data table.
`java.lang.String` | `fieldFormat(int i)` Find the type of all the fields in the query.
`java.lang.String[]` | `fieldNames()` Find the names of all the fields in the query.
`int` | `fieldType(int i)` Find the type of all the fields in the query.
`protected void` | `finalize()` Protected method which cleans up state associated with this object.
`int` | `findColumn(java.lang.String columnName)` Gets the index of a column.
`boolean` | `first()` JDBC 2.0 Moves to the first row in the result set.
`java.sql.Array` | `getArray(int i)` JDBC 2.0 Gets the value of column as an Array object.
`java.sql.Array` | `getArray(java.lang.String colName)` JDBC 2.0 Gets the value of column as an array object.
`java.io.InputStream` | `getAsciiStream(int column)` Gets the value of a column in the current row as a Java InputStream.
`java.io.InputStream` | `getAsciiStream(java.lang.String columnName)` Gets the value of a column in the current row as a Java InputStream.
`java.math.BigDecimal` | `getBigDecimal(int columnIndex)` JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.
`java.math.BigDecimal` | `getBigDecimal(int column, int scale)` Deprecated.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName)` JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName, int scale)` Deprecated.
`java.io.InputStream` | `getBinaryStream(int column)` Gets the value of a column in the current row as a Java InputStream.
`java.io.InputStream` | `getBinaryStream(java.lang.String columnName)` Gets the value of a column in the current row as a Java InputStream.
`java.sql.Blob` | `getBlob(int i)` JDBC 2.0 Gets the value of column as a BLOB object.
`java.sql.Blob` | `getBlob(java.lang.String colName)` JDBC 2.0 Gets the value of column as a BLOB object.
`boolean` | `getBoolean(int column)` Gets the value of a column in the current row as a Java boolean.
`boolean` | `getBoolean(java.lang.String columnName)` Gets the value of a column in the current row as a Java boolean.
`byte` | `getByte(int column)` Gets the value of a column in the current row as a Java byte.
`byte` | `getByte(java.lang.String columnName)` Gets the value of a column in the current row as a Java byte.
`byte[]` | `getBytes(int column)` Gets the value of a column in the current row as a Java byte array.
`byte[]` | `getBytes(java.lang.String columnName)` Gets the value of a column in the current row as a Java byte array.
`java.io.Reader` | `getCharacterStream(int columnIndex)` JDBC 2.0 Gets the value of a column in the current row as a java.io.Reader.
`java.io.Reader` | `getCharacterStream(int columnIndex, java.lang.String charsetName)` JDBC 2.0 Proprietary Extension (S0639040) Gets the value of a column in the current row as a java.io.Reader using a specified character set.
`java.io.Reader` | `getCharacterStream(java.lang.String columnName)` JDBC 2.0 Gets the value of a column in the current row as a java.io.Reader.
`java.io.Reader` | `getCharacterStream(java.lang.String columnName, java.lang.String charsetName)` JDBC 2.0 Proprietary Extension (S0639040) Gets the value of a column in the current row as a java.io.Reader using a specified character set.
`java.sql.Clob` | `getClob(int i)` JDBC 2.0 Gets the value of column as a CLOB object.
`java.sql.Clob` | `getClob(java.lang.String colName)` JDBC 2.0 Gets the value of column as a CLOB object.
`int` | `getConcurrency()` JDBC 2.0 Gets the result set concurrency type CONCUR_READ_ONLY as the resultset is a READ ONLY resultset.
`java.lang.String` | `getCursorName()` Gets the name of the cursor.
`java.sql.Date` | `getDate(int column)` Gets the value of a column in the current row as a Java java.sql.Date.
`java.sql.Date` | `getDate(int columnIndex, java.util.Calendar cal)` JDBC 2.0 Gets the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` | `getDate(java.lang.String columnName)` Gets the value of a column in the current row as a Java java.sql.Date.
`java.sql.Date` | `getDate(java.lang.String columnName, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Date object.
`double` | `getDouble(int column)` Gets the value of a column in the current row as a Java double.
`double` | `getDouble(java.lang.String columnName)` Gets the value of a column in the current row as a Java double.
`int` | `getFetchDirection()` JDBC 2.0 Gets the fetch direction for this result set.
`int` | `getFetchSize()` JDBC 2.0 Gets the number of rows to be fetched.
`float` | `getFloat(int column)` Gets the value of a column in the current row as a Java float.
`float` | `getFloat(java.lang.String columnName)` Gets the value of a column in the current row as a Java float.
`int` | `getInt(int column)` Gets the value of a column in the current row as a Java int.
`int` | `getInt(java.lang.String columnName)` Gets the value of a column in the current row as a Java int.
`long` | `getLong(int column)` Gets the value of a column in the current row as a Java long.
`long` | `getLong(java.lang.String columnName)` Gets the value of a column in the current row as a Java long.
`java.sql.ResultSetMetaData` | `getMetaData()` Gets a ResultSetMetaData object that is associated with this ResultSet.
`java.lang.Object` | `getObject(int column)` Gets the value of a column in its default Java representation.
`java.lang.Object` | `getObject(int i, java.util.Map map)` JDBC 2.0 Gets the value of column @i as a Java object.
`java.lang.Object` | `getObject(java.lang.String columnName)` Gets the value of a column in its default Java representation.
`java.lang.Object` | `getObject(java.lang.String colName, java.util.Map map)` JDBC 2.0 Gets the value of column @i as a Java object.
`java.sql.Ref` | `getRef(int i)` JDBC 2.0 Gets the value of column as a REF(<structured-type>) object.
`java.sql.Ref` | `getRef(java.lang.String colName)` JDBC 2.0 Gets the value of column as a REF(<structured-type>) object.
`int` | `getRow()` JDBC 2.0 Determines the current row number.
`short` | `getShort(int column)` Gets the value of a column in the current row as a Java short.
`short` | `getShort(java.lang.String columnName)` Gets the value of a column in the current row as a Java short.
`java.sql.Statement` | `getStatement()` JDBC 2.0 Gets the Statement that produced the ResultSet.
`java.lang.String` | `getString(int column)` Gets the value of a column in the current row as a Java String.
`java.lang.String` | `getString(java.lang.String columnName)` Gets the value of a column in the current row as a Java String.
`java.sql.Time` | `getTime(int column)` Gets the value of a column in the current row as a Java java.sql.Time.
`java.sql.Time` | `getTime(int columnIndex, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Time object.
`java.sql.Time` | `getTime(java.lang.String columnName)` Gets the value of a column in the current row as a Java java.sql.Time.
`java.sql.Time` | `getTime(java.lang.String columnName, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Time object.
`java.sql.Timestamp` | `getTimestamp(int column)` Gets the value of a column in the current row as a Java java.sql.Timestamp.
`java.sql.Timestamp` | `getTimestamp(int columnIndex, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName)` Gets the value of a column in the current row as a Java java.sql.Timestamp.
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`int` | `getType()` JDBC 2.0 Gets the result set type TYPE_FORWARD_ONLY as scrolling is not supported.
`java.io.InputStream` | `getUnicodeStream(int column)` Deprecated.
`java.io.InputStream` | `getUnicodeStream(java.lang.String columnName)` Deprecated.
`java.net.URL` | `getURL(int columnIndex)` Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
`java.net.URL` | `getURL(java.lang.String columnName)` Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
`java.sql.SQLWarning` | `getWarnings()` Get the SQLWarnings that are associated with this row.
`void` | `insertRow()` JDBC 2.0 Inserts the contents of the insert row into the result set and the database.
`boolean` | `isAfterLast()` JDBC 2.0 Determines if the cursor is after the last row in the result set.
`boolean` | `isBeforeFirst()` JDBC 2.0 Determines if the cursor is before the first row in the result set.
`boolean` | `isFirst()` JDBC 2.0 Determines if the cursor is on the first row of the result set.
`boolean` | `isLast()` JDBC 2.0 Determines if the cursor is on the last row of the result set.
`boolean` | `last()` JDBC 2.0 Moves to the last row in the result set.
`void` | `moveToCurrentRow()` JDBC 2.0 Moves the cursor to the remembered cursor position, usually the current row.
`void` | `moveToInsertRow()` JDBC 2.0 Moves to the insert row.
`boolean` | `next()` Proceeds to the next row in the ResultSet.
`int` | `numFields()` Return the number of fields in the query.
`boolean` | `previous()` JDBC 2.0 Moves to the previous row in the result set.
`void` | `refreshRow()` JDBC 2.0 Refresh the value of the current row with its current value in the database.
`boolean` | `relative(int rows)` JDBC 2.0 Moves a relative number of rows, either positive or negative.
`boolean` | `rowDeleted()` JDBC 2.0 Determines if this row has been deleted.
`boolean` | `rowInserted()` JDBC 2.0 Determines if the current row has been inserted.
`boolean` | `rowUpdated()` JDBC 2.0 Determines if the current row has been updated.
`protected void` | `send(com.sas.net.sharenet.Wqefcb fcb)` Sends a message to the server.
`void` | `setFetchDirection(int direction)` JDBC 2.0 Gives a hint as to the direction in which the rows in this result set will be processed.
`void` | `setFetchSize(int rows)` JDBC 2.0 Sets the number of rows to be fetched for this result set.
`void` | `updateArray(int columnIndex, java.sql.Array x)` Updates the designated column with a `java.sql.Array` value.
`void` | `updateArray(java.lang.String columnName, java.sql.Array x)` Updates the designated column with a `java.sql.Array` value.
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with an ascii stream value.
`void` | `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with an ascii stream value.
`void` | `updateBigDecimal(int columnIndex, java.math.BigDecimal x)` JDBC 2.0 Updates a column with a BigDecimal value.
`void` | `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)` JDBC 2.0 Updates a column with a BigDecimal value.
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with a binary stream value.
`void` | `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with a binary stream value.
`void` | `updateBlob(int columnIndex, java.sql.Blob x)` Updates the designated column with a `java.sql.Blob` value.
`void` | `updateBlob(java.lang.String columnName, java.sql.Blob x)` Updates the designated column with a `java.sql.Blob` value.
`void` | `updateBoolean(int columnIndex, boolean x)` JDBC 2.0 Updates a column with a boolean value.
`void` | `updateBoolean(java.lang.String columnName, boolean x)` JDBC 2.0 Updates a column with a boolean value.
`void` | `updateByte(int columnIndex, byte x)` JDBC 2.0 Updates a column with a byte value.
`void` | `updateByte(java.lang.String columnName, byte x)` JDBC 2.0 Updates a column with a byte value.
`void` | `updateBytes(int columnIndex, byte[] x)` JDBC 2.0 Updates a column with a byte array value.
`void` | `updateBytes(java.lang.String columnName, byte[] x)` JDBC 2.0 Updates a column with a byte array value.
`void` | `updateCharacterStream(int columnIndex, java.io.Reader x, int length)` JDBC 2.0 Updates a column with a character stream value.
`void` | `updateCharacterStream(java.lang.String columnName, java.io.Reader reader, int length)` JDBC 2.0 Updates a column with a character stream value.
`void` | `updateClob(int columnIndex, java.sql.Clob x)` Updates the designated column with a `java.sql.Clob` value.
`void` | `updateClob(java.lang.String columnName, java.sql.Clob x)` Updates the designated column with a `java.sql.Clob` value.
`void` | `updateDate(int columnIndex, java.sql.Date x)` JDBC 2.0 Updates a column with a Date value.
`void` | `updateDate(java.lang.String columnName, java.sql.Date x)` JDBC 2.0 Updates a column with a Date value.
`void` | `updateDouble(int columnIndex, double x)` JDBC 2.0 Updates a column with a Double value.
`void` | `updateDouble(java.lang.String columnName, double x)` JDBC 2.0 Updates a column with a double value.
`void` | `updateFloat(int columnIndex, float x)` JDBC 2.0 Updates a column with a float value.
`void` | `updateFloat(java.lang.String columnName, float x)` JDBC 2.0 Updates a column with a float value.
`void` | `updateInt(int columnIndex, int x)` JDBC 2.0 Updates a column with an integer value.
`void` | `updateInt(java.lang.String columnName, int x)` JDBC 2.0 Updates a column with an integer value.
`void` | `updateLong(int columnIndex, long x)` JDBC 2.0 Updates a column with a long value.
`void` | `updateLong(java.lang.String columnName, long x)` JDBC 2.0 Updates a column with a long value.
`void` | `updateNull(int columnIndex)` JDBC 2.0 Updates a nullable column with a null value.
`void` | `updateNull(java.lang.String columnName)` JDBC 2.0 Updates a column with a null value.
`void` | `updateObject(int columnIndex, java.lang.Object x)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateObject(java.lang.String columnName, java.lang.Object x)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateObject(java.lang.String columnName, java.lang.Object x, int scale)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateRef(int columnIndex, java.sql.Ref x)` Updates the designated column with a `java.sql.Ref` value.
`void` | `updateRef(java.lang.String columnName, java.sql.Ref x)` Updates the designated column with a `java.sql.Ref` value.
`void` | `updateRow()` JDBC 2.0 Updates the underlying database with the new contents of the current row.
`void` | `updateShort(int columnIndex, short x)` JDBC 2.0 Updates a column with a short value.
`void` | `updateShort(java.lang.String columnName, short x)` JDBC 2.0 Updates a column with a short value.
`void` | `updateString(int columnIndex, java.lang.String x)` JDBC 2.0 Updates a column with a String value.
`void` | `updateString(java.lang.String columnName, java.lang.String x)` JDBC 2.0 Updates a column with a String value.
`void` | `updateTime(int columnIndex, java.sql.Time x)` JDBC 2.0 Updates a column with a Time value.
`void` | `updateTime(java.lang.String columnName, java.sql.Time x)` JDBC 2.0 Updates a column with a Time value.
`void` | `updateTimestamp(int columnIndex, java.sql.Timestamp x)` JDBC 2.0 Updates a column with a Timestamp value.
`void` | `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)` JDBC 2.0 Updates a column with a Timestamp value.
`boolean` | `wasNull()` Determines whether the given column in the current row holds an SQL NULL.

Field Detail

### currentRow

    protected com.sas.net.sharenet.SqlValue[] currentRow

### fieldArray

    protected com.sas.net.sharenet.SqlField[] fieldArray

### numColumns

    protected int numColumns

### currentRowNumber

    protected int currentRowNumber

### rowsFetched

    protected int rowsFetched

### maxReached

    protected boolean maxReached

### maxRows

    protected int maxRows

### cursorName

    protected java.lang.String cursorName

### namesToColumns

    protected java.util.Hashtable namesToColumns

### stmt

    protected ShareNetStatement stmt

### wasnull

    protected boolean wasnull

### warnings

    protected java.sql.SQLWarning warnings

### shareWarning

    protected com.sas.net.sharenet.ShareNetWarning shareWarning

### dbmd

    protected ShareNetDatabaseMetaData dbmd

### sv

    protected short sv

### connection

    protected ShareNetConnection connection

Method Detail

### next

    public boolean next()
                 throws java.sql.SQLException

  Proceeds to the next row in the ResultSet.

  Specified by:
    `next` in interface `java.sql.ResultSet`
  Returns:
    True if the next row is valid and False if not valid.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected.

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Determines whether the given column in the current row holds an SQL NULL. This method always returns False for SQL VARCHAR types.

  Specified by:
    `wasNull` in interface `java.sql.ResultSet`
  Returns:
    True if the last column that is read contains a NULL value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the current row is not valid.

### getString

    public java.lang.String getString(int column)
                               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid.

### getBoolean

    public boolean getBoolean(int column)
                       throws java.sql.SQLException

  Gets the value of a column in the current row as a Java boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is False.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a boolean value.

### getByte

    public byte getByte(int column)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to byte representation.

### getShort

    public short getShort(int column)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid short value.

### getInt

    public int getInt(int column)
               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid int value.

### getLong

    public long getLong(int column)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java long.

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid long value.

### getFloat

    public float getFloat(int column)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid float value.

### getDouble

    public double getDouble(int column)
                     throws java.sql.SQLException

  Gets the value of a column in the current row as a Java double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid double value.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int column,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a Java BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid BigDecimal value.

### getBytes

    public byte[] getBytes(int column)
                    throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte array. This method is not supported.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown because SAS software does not support conversions to binary representation.

### getDate

    public java.sql.Date getDate(int column)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a Java java.sql.Date.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid java.sql.Date value.

### getTime

    public java.sql.Time getTime(int column)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a Java java.sql.Time.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid java.sql.Time value.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int column)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a Java java.sql.Timestamp.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid java.sql.Timestamp value.

### getAsciiStream

    public java.io.InputStream getAsciiStream(int column)
                                       throws java.sql.SQLException

  Gets the value of a column in the current row as a Java InputStream.

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid java.sql.Type.VARCHAR value. SAS software does not support other conversions.

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int column)
                                         throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a Java InputStream.

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid java.sql.Type.VARCHAR value. SAS software does not support other conversions.

### getBinaryStream

    public java.io.InputStream getBinaryStream(int column)
                                        throws java.sql.SQLException

  Gets the value of a column in the current row as a Java InputStream.

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to a valid java.sql.Type.VARCHAR value. SAS software does not support other conversions.

### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid.

### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws java.sql.SQLException

  Gets the value of a column in the current row as a Java boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is False.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a boolean value.

### getByte

    public byte getByte(java.lang.String columnName)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted to byte representation.

### getShort

    public short getShort(java.lang.String columnName)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid short value.

### getInt

    public int getInt(java.lang.String columnName)
               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid int value.

### getLong

    public long getLong(java.lang.String columnName)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java long.

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid long value.

### getFloat

    public float getFloat(java.lang.String columnName)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid float value.

### getDouble

    public double getDouble(java.lang.String columnName)
                     throws java.sql.SQLException

  Gets the value of a column in the current row as a Java double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is 0.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid double value.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a Java BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid BigDecimal value.

### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte array. This method is not supported.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown becaue SAS software does not support conversions to binary representation.

### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a Java java.sql.Date.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid java.sql.Date value.

### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a Java java.sql.Time.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid java.sql.Time value.

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a Java java.sql.Timestamp.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the SQL type cannot be converted into a valid java.sql.Timestamp value.

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws java.sql.SQLException

  Gets the value of a column in the current row as a Java InputStream.

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the value is not java.sql.Type.VARCHAR. No other conversions are supported.

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a Java InputStream.

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the value is not java.sql.Type.VARCHAR. No other conversions are supported.

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws java.sql.SQLException

  Gets the value of a column in the current row as a Java InputStream.

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column that is returned by the ResultSetMetaData object.
  Returns:
    The column value. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or the value is not java.sql.Type.VARCHAR. No other conversions are supported.

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  Gets the name of the cursor.

  Specified by:
    `getCursorName` in interface `java.sql.ResultSet`
  Returns:
    An empty string ("") because SAS software does not support cursors.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface, but it is never thrown.

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Get the SQLWarnings that are associated with this row.

  Specified by:
    `getWarnings` in interface `java.sql.ResultSet`
  Returns:
    SQLWarning; all warnings for the current row.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface, but it is never thrown.

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Clears all warnings.

  Specified by:
    `clearWarnings` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is required by the interface, but it is never thrown.

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Gets a ResultSetMetaData object that is associated with this ResultSet.

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`
  Returns:
    A ShareNetResultSetMetaData object.
  Throws:
    `java.sql.SQLException` - This exception may be thrown.

### getObject

    public java.lang.Object getObject(int column)
                               throws java.sql.SQLException

  Gets the value of a column in its default Java representation.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2, and so on.
  Returns:
    The column value as an Object. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column index is not valid.

### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws java.sql.SQLException

  Gets the value of a column in its default Java representation.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
  Returns:
    The column value as an Object. If the value is SQL NULL, then the result is NULL.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column name is not valid.

### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

  Gets the index of a column.

  Specified by:
    `findColumn` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column returned by the ResultSetMetaData object.
  Returns:
    The column index.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column name is not valid.

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  JDBC 2.0

  Gets the value of a column in the current row as a java.io.Reader.

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second column is 2 and so on.
  Returns:
    The column value as a java.io.Reader object.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column index is not valid.

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex,
                                             java.lang.String charsetName)
                                      throws java.sql.SQLException

  JDBC 2.0 Proprietary Extension (S0639040)

  Gets the value of a column in the current row as a java.io.Reader using a specified character set.

  Parameters:
    `columnIndex` - The first column is 1, the second column is 2 and so on.
    `charsetName` - The name of a supported ``charset``
  Returns:
    The column value as a java.io.Reader object.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column index is not valid.

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

  JDBC 2.0

  Gets the value of a column in the current row as a java.io.Reader.

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
  Returns:
    The column value as a java.io.Reader object.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column index is not valid.

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName,
                                             java.lang.String charsetName)
                                      throws java.sql.SQLException

  JDBC 2.0 Proprietary Extension (S0639040)

  Gets the value of a column in the current row as a java.io.Reader using a specified character set.

  Parameters:
    `columnName` - The name of the column.
    `charsetName` - The name of a supported ``charset``
  Returns:
    The column value as a java.io.Reader object.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column index is not valid.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second column is 2, and so on.
  Returns:
    The column value (full precision) as BigDecimal object. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column index is not valid.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
  Returns:
    The column value (full precision) as BigDecimal object. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column index is not valid.

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is before the first row in the result set. This method is not yet supported.

  Specified by:
    `isBeforeFirst` in interface `java.sql.ResultSet`
  Returns:
    True if before the first row, False otherwise. Returns False when the result set contains no rows.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is after the last row in the result set. This method is not yet supported.

  Specified by:
    `isAfterLast` in interface `java.sql.ResultSet`
  Returns:
    True if after the last row, False otherwise. Returns False when the result set contains no rows.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is on the first row of the result set. This method is not yet supported.

  Specified by:
    `isFirst` in interface `java.sql.ResultSet`
  Returns:
    True if on the first row, False otherwise.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is on the last row of the result set. This method is not yet supported. Note: Calling isLast() may be expensive since the JDBC driver might need to fetch ahead one row in order to determine whether the current row is the last row in the result set.

  Specified by:
    `isLast` in interface `java.sql.ResultSet`
  Returns:
    True if on the last row, False otherwise.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  JDBC 2.0

  Moves to the front of the result set, just before the first row. Has no effect if the result set contains no rows. This method is not yet supported.

  Specified by:
    `beforeFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  JDBC 2.0

  Moves to the end of the result set, just after the last row. Has no effect if the result set contains no rows. This method is not yet supported.

  Specified by:
    `afterLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### first

    public boolean first()
                  throws java.sql.SQLException

  JDBC 2.0

  Moves to the first row in the result set. This method is not yet supported.

  Specified by:
    `first` in interface `java.sql.ResultSet`
  Returns:
    True if on a valid row, False if no rows in the result set.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### last

    public boolean last()
                 throws java.sql.SQLException

  JDBC 2.0

  Moves to the last row in the result set. This method is not yet supported.

  Specified by:
    `last` in interface `java.sql.ResultSet`
  Returns:
    True if on a valid row, False if no rows in the result set.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getRow

    public int getRow()
               throws java.sql.SQLException

  JDBC 2.0

  Determines the current row number. The first row is number 1, the second number 2, and so on. This method is not yet supported.

  Specified by:
    `getRow` in interface `java.sql.ResultSet`
  Returns:
    The current row number, else return 0 if there is no current row.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  JDBC 2.0

  Moves to an absolute row number in the result set. This method is not yet supported.

  If row is positive, moves to an absolute row with respect to the beginning of the result set. The first row is row 1, the second is row 2, etc.

  If row is negative, moves to an absolute row position with respect to the end of result set. For example, calling absolute(-1) positions the cursor on the last row, absolute(-2) indicates the next-to-last row, etc.

  An attempt to position the cursor beyond the first/last row in the result set, leaves the cursor before/after the first/last row, respectively.

  Note: Calling absolute(1) is the same as calling first(). Calling absolute(-1) is the same as calling last().

  Specified by:
    `absolute` in interface `java.sql.ResultSet`
  Parameters:
    `row` - The row number in the result set.
  Returns:
    True if on the result set, False if off.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

  JDBC 2.0

  Moves a relative number of rows, either positive or negative. This method is not yet supported.

  Attempting to move beyond the first/last row in the result set positions the cursor before/after the the first/last row. Calling relative(0) is valid, but does not change the cursor position.

  Note: Calling relative(1) is different than calling next() since is makes sense to call next() when there is no current row, for example, when the cursor is positioned before the first row or after the last row of the result set.

  Specified by:
    `relative` in interface `java.sql.ResultSet`
  Parameters:
    `rows` - Number of rows to skip.
  Returns:
    True if on a row, False otherwise.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### previous

    public boolean previous()
                     throws java.sql.SQLException

  JDBC 2.0

  Moves to the previous row in the result set. This method is not yet supported.

  Note: previous() is not the same as relative(-1) since it makes sense to call previous() when there is no current row.

  Specified by:
    `previous` in interface `java.sql.ResultSet`
  Returns:
    True if on a valid row, False if off the result set.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  JDBC 2.0 Gives a hint as to the direction in which the rows in this result set will be processed. Currently, the rows of the resultset will be processed only in the forward direction.

  Specified by:
    `setFetchDirection` in interface `java.sql.ResultSet`
  Parameters:
    `direction` - An integer indicating the direction in which the rows in this result set will be processed. Currently supports only FETCH_FORWARD.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the fetch direction is not FETCH_FORWARD.

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  JDBC 2.0 Gets the fetch direction for this result set. The rows of the resultset will be processed only in forward direction.

  Specified by:
    `getFetchDirection` in interface `java.sql.ResultSet`
  Returns:
    An integer value indicating FETCH_FORWARD.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface but it is never thrown.

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  JDBC 2.0 Sets the number of rows to be fetched for this result set. Note 1: The integer fetchSize is casted to a short and so fetch size value might get truncated to 2 bytes. Note 2: The performance hint is ignored if you are connected to a V6 SAS/SHARE server. Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this result set. If the fetch size specified is zero, then the JDBC driver ignores the value, and is free to make its own best guess as to what the fetch size should be. The default value is set by the statement that creates the result set. The fetch size may be changed at any time.

  Specified by:
    `setFetchSize` in interface `java.sql.ResultSet`
  Parameters:
    `rows` - The number of rows to fetch.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a database-access error occurs, or the condition 0 <= rows <= stmt.getMaxRows() is not satisfied.

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  JDBC 2.0 Gets the number of rows to be fetched.

  Specified by:
    `getFetchSize` in interface `java.sql.ResultSet`
  Returns:
    An integer value indicating the number of rows fetched for this result set.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface but it is never thrown.

### getType

    public int getType()
                throws java.sql.SQLException

  JDBC 2.0 Gets the result set type TYPE_FORWARD_ONLY as scrolling is not supported.

  Specified by:
    `getType` in interface `java.sql.ResultSet`
  Returns:
    An integer value indicating TYPE_FORWARD_ONLY.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface but it is never thrown.

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  JDBC 2.0 Gets the result set concurrency type CONCUR_READ_ONLY as the resultset is a READ ONLY resultset.

  Specified by:
    `getConcurrency` in interface `java.sql.ResultSet`
  Returns:
    An int concurrency type of the resultset CONCUR_READ_ONLY.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface but it is never thrown.

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  JDBC 2.0 Determines if the current row has been updated. The value returned depends on whether or not the result set can detect updates. This method is not yet supported.

  Specified by:
    `rowUpdated` in interface `java.sql.ResultSet`
  Returns:
    True if the row has been visibly updated by the owner or another, and updates are detected, else return False.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.
  See Also:
    `ShareNetDatabaseMetaData.updatesAreDetected(int)`

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  JDBC 2.0 Determines if the current row has been inserted. The value returned depends on whether or not the result set can detect visible inserts. This method is not yet supported.

  Specified by:
    `rowInserted` in interface `java.sql.ResultSet`
  Returns:
    True if inserted and inserts are detected, else return False.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.
  See Also:
    `ShareNetDatabaseMetaData.insertsAreDetected(int)`

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  JDBC 2.0 Determines if this row has been deleted. A deleted row may leave a visible "hole" in a result set. This method can be used to detect holes in a result set. The value returned depends on whether or not the result set can detect deletions. This method is not yet supported.

  Specified by:
    `rowDeleted` in interface `java.sql.ResultSet`
  Returns:
    True if deleted and deletes are detected, else return False.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.
  See Also:
    `ShareNetDatabaseMetaData.deletesAreDetected(int)`

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a nullable column with a null value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  JDBC 2.0 Updates a column with a boolean value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - the new column value
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a short value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  JDBC 2.0 Updates a column with an integer value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a long value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a float value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Double value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  JDBC 2.0 Updates a column with a BigDecimal value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a String value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte array value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Date value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Time value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Timestamp value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  JDBC 2.0 Updates a column with an ascii stream value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  JDBC 2.0 Updates a column with a binary stream value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  JDBC 2.0 Updates a column with a character stream value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
    `scale` - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types this is the number of digits after the decimal. For all other types this value will be ignored.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a null value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

  JDBC 2.0 Updates a column with a boolean value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a short value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

  JDBC 2.0 Updates a column with an integer value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a long value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a float value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a double value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  JDBC 2.0 Updates a column with a BigDecimal value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a String value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte array value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Date value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Time value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Timestamp value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  JDBC 2.0 Updates a column with an ascii stream value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  JDBC 2.0 Updates a column with a binary stream value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader reader,
                                      int length)
                               throws java.sql.SQLException

  JDBC 2.0 Updates a column with a character stream value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `scale` - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types this is the number of digits after the decimal. For all other types this value will be ignored.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. This method is not yet supported. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  JDBC 2.0 Inserts the contents of the insert row into the result set and the database. Must be on the insert row when this method is called. This method is not yet supported. An exception is thrown if called when not on the insert row, or if all non-nullable columns in the insert row have not been given a value.

  Specified by:
    `insertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  JDBC 2.0 Updates the underlying database with the new contents of the current row. Cannot be called when on the insert row. This method is not yet supported.

  Specified by:
    `updateRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  JDBC 2.0 Deletes the current row from the result set and the underlying database. Cannot be called when on the insert row. This method is not yet supported.

  Specified by:
    `deleteRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  JDBC 2.0 Refresh the value of the current row with its current value in the database. Cannot be called when on the insert row. This method is not yet supported. The refreshRow() method provides a way for an application to explicitly tell the JDBC driver to refetch a row(s) from the database. An application may want to call refreshRow() when caching or prefetching is being done by the JDBC driver to fetch the latest value of a row from the database. The JDBC driver may actually refresh multiple rows at once if the fetch size is greater than one. All values are refetched subject to the transaction isolation level and cursor sensitivity. If refreshRow() is called after calling updateXXX(), but before calling updateRow() then the updates made to the row are lost. Calling refreshRow() frequently will likely slow performance.

  Specified by:
    `refreshRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  JDBC 2.0 Cancels row updates. This method is not yet supported. This method may be called after calling an updateXXX() method(s) and before calling updateRow() to rollback the updates made to a row. If no updates have been made or updateRow() has already been called, then this method has no effect.

  Specified by:
    `cancelRowUpdates` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  JDBC 2.0 Moves to the insert row. The current cursor position is remembered while the cursor is positioned on the insert row. This method is not yet supported. The insert row is a special row associated with an updatable result set. It is essentially a buffer where a new row may be constructed by calling the updateXXX() methods prior to inserting the row into the result set. Only the updateXXX(), getXXX(), and insertRow() methods may be called when the cursor is on the insert row. All of the columns in a result set must be given a value each time this method is called before calling insertRow(). UpdateXXX()must be called before getXXX() on a column.

  Specified by:
    `moveToInsertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  JDBC 2.0 Moves the cursor to the remembered cursor position, usually the current row. Has no effect unless the cursor is on the insert row. This method is not yet supported.

  Specified by:
    `moveToCurrentRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  JDBC 2.0 Gets the Statement that produced the ResultSet.

  Specified by:
    `getStatement` in interface `java.sql.ResultSet`
  Returns:
    The Statement that produced the result set, or NULL if the result was produced some other way.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface but it is never thrown;

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  JDBC 2.0 Gets the value of column @i as a Java object. Use the

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The column index. The first column is 1, the second is 2, and so on.
    `map` - The mapping from SQL type names to Java classes.
  Returns:
    An object representing the SQL value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as a REF(<structured-type>) object. This method is not yet supported.

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The column index. The first column is 1, the second is 2, and so on.
  Returns:
    An object representing data of an SQL REF type.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as a BLOB object. This method is not yet supported.

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The column index. The first column is 1, the second is 2, and so on.
  Returns:
    An object representing a BLOB.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as a CLOB object. This method is not yet supported.

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The column index. The first column is 1, the second is 2, and so on.
  Returns:
    An object representing a CLOB.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as an Array object. This method is not yet supported.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The column index. The first column is 1, the second is 2, and so on.
  Returns:
    An object representing an SQL array.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getObject

    public java.lang.Object getObject(java.lang.String colName,
                                      java.util.Map map)
                               throws java.sql.SQLException

  JDBC 2.0 Gets the value of column @i as a Java object. Use the

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
    `map` - The mapping from SQL type names to Java classes.
  Returns:
    An object representing the SQL value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as a REF(<structured-type>) object. This method is not yet supported.

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    An object representing data of an SQL REF type.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as a BLOB object. This method is not yet supported.

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    An object representing a BLOB.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as a CLOB object. This method is not yet supported.

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    An object representing a CLOB.
  Throws:
    `This` - exception is always thrown.
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(java.lang.String colName)
                            throws java.sql.SQLException

  JDBC 2.0 Gets the value of column as an array object. This method is not yet supported.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    An object representing an SQL array.
  Throws:
    `This` - exception is always thrown.
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.sql.Date object. Use the calendar to construct an appropriate millisecond value for the Date, if the underlying database doesn't store timezone information.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `cal` - The calendar to use in constructing the date. Ignored if cal is NULL.
  Returns:
    The column value. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or if the SQLType cannot be converted to a valid java.sql.Date value.

### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Date object. Use the calendar to construct an appropriate millisecond value for the Date, if the underlying database doesn't store timezone information.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `cal` - The calendar to use in constructing the date. Ignored if cal is NULL.
  Returns:
    The column value. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or if the SQLType cannot be converted to a valid java.sql.Date value.

### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Time object. Use the calendar to construct an appropriate millisecond value for the Time, if the underlying database doesn't store timezone information.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `cal` - The calendar to use in constructing the time. Ignored if cal is NULL.
  Returns:
    The column value. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or if the SQLType cannot be converted to a valid java.sql.Time value.

### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Time object. Use the calendar to construct an appropriate millisecond value for the Time, if the underlying database doesn't store timezone information.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `cal` - The calendar to use in constructing the time. Ignored if cal is NULL.
  Returns:
    The column value. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or if the SQLType cannot be converted to a valid java.sql.Time value.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Timestamp object. Use the calendar to construct an appropriate millisecond value for the Timestamp, if the underlying database doesn't store timezone information.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The column index. The first column is 1, the second is 2, and so on.
    `cal` - The calendar to use in constructing the timestamp. Ignored if cal is NULL.
  Returns:
    The column value. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or if the SQLType cannot be converted to a valid java.sql.Timestamp value.

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Timestamp object. Use the calendar to construct an appropriate millisecond value for the Timestamp, if the underlying database doesn't store timezone information.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `cal` - The calendar to use in constructing the timestamp. Ignored if cal is NULL.
  Returns:
    The column value. If the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the column value is not valid or if the SQLType cannot be converted to a valid java.sql.Timestamp value.

### addWarning

    public void addWarning(java.sql.SQLWarning warning)

  Adds a warning to the result set.

  Parameters:
    `SQLWarning` - Warning to add.

### fetch

    protected com.sas.net.sharenet.SqlValue[] fetch()
                                             throws ShareNetException

  Fetch the next row of the data table.

  Returns:
    The array of values.
  Throws:
    `ShareNetException` - This exception is thrown if an error condition is detected.

### send

    protected void send(com.sas.net.sharenet.Wqefcb fcb)
                 throws ShareNetException

  Sends a message to the server.

  Parameters:
    `fcb` - Function control block that contains the message.
  Throws:
    `ShareNetException` - This exception is thrown if an error condition is detected.

### numFields

    public int numFields()

  Return the number of fields in the query.

  Returns:
    number of fields

### fieldNames

    public java.lang.String[] fieldNames()

  Find the names of all the fields in the query.

  Returns:
    name array

### fieldType

    public int fieldType(int i)

  Find the type of all the fields in the query.

  Returns:
    label array

### fieldFormat

    public java.lang.String fieldFormat(int i)

  Find the type of all the fields in the query.

  Returns:
    label array

### close

    public void close()
               throws java.sql.SQLException

  Closes the ResultSet.

  Specified by:
    `close` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected.

### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

  Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language. This method is not implemented.

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### getURL

    public java.net.URL getURL(java.lang.String columnName)
                        throws java.sql.SQLException

  Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language. This method is not implemented.

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateRef

    public void updateRef(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  Updates the designated column with a `java.sql.Ref` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateRef

    public void updateRef(java.lang.String columnName,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  Updates the designated column with a `java.sql.Ref` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Updates the designated column with a `java.sql.Blob` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateBlob

    public void updateBlob(java.lang.String columnName,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Updates the designated column with a `java.sql.Blob` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Updates the designated column with a `java.sql.Clob` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateClob

    public void updateClob(java.lang.String columnName,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Updates the designated column with a `java.sql.Clob` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateArray

    public void updateArray(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

  Updates the designated column with a `java.sql.Array` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### updateArray

    public void updateArray(java.lang.String columnName,
                            java.sql.Array x)
                     throws java.sql.SQLException

  Updates the designated column with a `java.sql.Array` value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database. This method is not implemented.

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - always thrown.

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Protected method which cleans up state associated with this object.

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable` - required. Not created in this method.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.